package ${basePackage}.module.system.req;

import org.hibernate.validator.constraints.Length;
import ${basePackage}.frame.base.BaseUpdateRequest;
import ${basePackage}.frame.validation.Dict;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * LogErrUpdateRequest - 错误日志更新
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public class LogErrUpdateRequest extends BaseUpdateRequest {

    /**
     * 主键
     */
    @NotNull(message = "[id]主键不能为NULL")
    private Long id;

    /**
     * 错误类型
     */
    @Dict(name = "LOG_ERR_TYPE")
    private String logErrType;

    /**
     * 错误标题
     */
    @NotBlank(message = "[title]错误标题不能为空")
    @Length(min = 0, max = 50, message = "[title]错误标题长度不合法(0-50)")
    private String title;

    /**
     * 错误内容
     */
    private String content;

    /**
     * 处理结果
     */
    @NotNull(message = "[logErrResult]处理结果不能为NULL")
    @Dict(name = "LOG_ERR_RESULT")
    private String logErrResult;

    /**
     * 属性1
     */
    @Length(min = 0, max = 50, message = "[attribute1]属性1长度不合法(0-50)")
    private String attribute1;

    /**
     * 属性2
     */
    @Length(min = 0, max = 50, message = "[attribute2]属性2长度不合法(0-50)")
    private String attribute2;

    /**
     * 属性3
     */
    @Length(min = 0, max = 50, message = "[attribute3]属性3长度不合法(0-50)")
    private String attribute3;

    public Long getId() {
        return this.id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getLogErrType() {
        return this.logErrType;
    }

    public void setLogErrType(String logErrType) {
        this.logErrType = logErrType;
    }

    public String getTitle() {
        return this.title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return this.content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getLogErrResult() {
        return this.logErrResult;
    }

    public void setLogErrResult(String logErrResult) {
        this.logErrResult = logErrResult;
    }

    public String getAttribute1() {
        return this.attribute1;
    }

    public void setAttribute1(String attribute1) {
        this.attribute1 = attribute1;
    }

    public String getAttribute2() {
        return this.attribute2;
    }

    public void setAttribute2(String attribute2) {
        this.attribute2 = attribute2;
    }

    public String getAttribute3() {
        return this.attribute3;
    }

    public void setAttribute3(String attribute3) {
        this.attribute3 = attribute3;
    }
}
